@(location1 : List[models.Location])

@main("NiceStimmungspegel") {

    <section id="container" class="sidebar-closed">


        <header class="header dark-bg">

                <!--logo start-->
            <a href="#top" class="logo" id="resp-logo" width="20%">

                <img src="@routes.Assets.at("images/Pegel_B.jpg")" width="8%" height="auto">
                <sup>Nice</sup>
                <span class="lite">StimmungsPegel</span>
            </a>
                <!--logo end-->


            <div class="nav search-row" id="such">
                    <!--  search form start -->
                <ul class="nav top-menu">
                    <li>
                        <div>
                            <form action="LocationNameDesk" method="post">
                                <input type="submit" id="malschauen2" class="form-control btn btn-info button-hinzufuegen" name="Club2tags20" value="Location Hinzufügen">
                                <input type="text" id="malschauen" name="Club2tags2" value="" style="display: none">

                            </form>

                        </div>
                    </li>
                </ul>


                    <!--  search form end -->
            </div>

        </header>
            <!--header end-->


            <!--main content start-->
        <section id="main-content">
            <section class="wrapper">

                <div class="row" id="oben"> <!-- bsp bei style-responsive -->

                    <div class="col-md-3 " >
                        <div class="info-box blue-bg" id="rahmen" >

                            <i class="fa fa-beer" aria-hidden="true" id="beer"></i>
                            <div class="title">Bierpreis</div>
                            <div >
                                <label class="count" id="bierbierbier">
                                    €
                                </label>
                            </div>

                        </div><!--/.info-box-->
                    </div><!--/.col-->

                    <div class=" col-md-3 " >
                        <div class="info-box brown-bg" id="rahmen">
                                <!-- <i class="fa fa-ticket" aria-hidden="true" id="beer"></i> -->
                            <i class="fa fa-map-marker" aria-hidden="true" id="beer"></i>
                            <div class="title">Location</div>
                            <div >
                                <label class="count" id="eintritteintritt" style="font-size: small"></label>
                            </div>
                        </div><!--/.info-box-->
                    </div><!--/.col-->

                    <div class="col-md-2" >
                        <div class="info-box dark-bg" id="rahmen">
                            <i class="fa fa-smile-o fa-5x" aria-hidden="true" id="smile1" aling="center" ></i>
                            <script>
                                    try {
                                        if ( @location1.get(location1.size()-1).getStimmung==1.0)
                                        {
                                            $("#smile1").attr("class", "fa fa-smile-o fa-5x");
                                        }
                                    else
                                        if (@location1.get(location1.size()-1).getStimmung==2.0
                                    )
                                        {
                                            $("#smile1").attr("class", "fa fa-meh-o fa-5x");
                                        }
                                    else
                                        if (@location1.get(location1.size()-1).getStimmung==3.0)
                                        {
                                            $("#smile1").attr("class", "fa fa-frown-o fa-5x");
                                        }
                                    else
                                        {
                                            $("#smile1").attr("class", "fa fa-meh-o fa-5x");
                                        }
                                    } catch (error) {
                                        $("#smile1").attr("class", "fa fa-meh-o fa-5x");
                                    }
                            </script>
                        </div><!--/.info-box-->
                    </div><!--/.col-->
                    <div class=" col-md-4 " >
                        <div class="info-box brown-bg" id="rahmen">
                            <div class="col-md-3">
                                <i class="fa fa-microphone" aria-hidden="true" id="beer"></i>

                            </div>
                            <div class="col-md-4 ">

                                <audio src="" controls="" id="audioplayer"></audio>
                            </div>
                        </div><!--/.info-box-->
                    </div><!--/.col-->
                </div><!--/.row-->


                <div class="row">


                    <div class=" panel-default" >

                        <div >
                            <input id="pac-input" class="controls" type="text" value=""
                            placeholder="Enter a location">
                            <div id="map" ></div>
                            <div id="infowindow-content">
                                <span id="place-name" class="title"></span><br>
                                <span id="place-id"></span><br>
                                <span id="place-address"></span>
                            </div>

                            <script>
                                    var map;
                                    var infowindow;
                                    var pos;
                                    var koordinate = [];

                                    function initMap() {


                                        var wuppertal = {lat: -50.397, lng: 150.644};
                                        map = new google.maps.Map(document.getElementById('map'), {
                                            center: wuppertal,
                                            zoom: 13
                                        });

                                        //für search
                                        var input = document.getElementById('pac-input');

                                        //hier wird das eingegebene in der suchleiste automatisch vervollständigt
                                        var autocomplete = new google.maps.places.Autocomplete(input);
                                        autocomplete.bindTo('bounds', map);

                                        map.controls[google.maps.ControlPosition.TOP_LEFT].push(input);
                                        var marker = new google.maps.Marker({
                                            map: map
                                        });


                                        // Try HTML5 geolocation.
                                        if (navigator.geolocation) {
                                            navigator.geolocation.getCurrentPosition(function (position) {
                                                var pos = {
                                                    lat: position.coords.latitude,
                                                    lng: position.coords.longitude
                                                };





                                                var service = new google.maps.places.PlacesService(map);


                                                service.nearbySearch({
                                                    location: pos,
                                                    radius: 5000,
                                                    keyword: ['nachtclub']
                                                }, callback);

                                                // search teil für navigation

                                                infowindow = new google.maps.InfoWindow({map: map});
                                                marker.addListener('click', function () {
                                                    console.log("MARKER!!");



                                                    infowindow.open(map, marker);
                                                });

                                                autocomplete.addListener('place_changed', function () {

                                                    var place = autocomplete.getPlace();
                                                    //der versuch nearby search durch ein bekannte coords
                                                    //alert(autocomplete.getPlace().geometry.location.lat());

                                                    var pyrmont = {
                                                        lat: autocomplete.getPlace().geometry.location.lat(),
                                                        lng: autocomplete.getPlace().geometry.location.lng()
                                                    };
                                                    var service2 = new google.maps.places.PlacesService(map);


                                                    service2.nearbySearch({
                                                        location: pyrmont,
                                                        radius: 5000,
                                                        keyword: ['club, bar']
                                                    }, callback);
                                                    //der versuch nearby search durch ein bekannte coords

                                                    //alert("hier wird die Such Methode aufgerufen");
                                                    if (!place.geometry) {
                                                        return;
                                                    }

                                                    if (place.geometry.viewport) {
                                                        map.fitBounds(place.geometry.viewport);
                                                    } else {
                                                        map.setCenter(place.geometry.location);
                                                        map.setZoom(17);
                                                    }

                                                    // Set the position of the marker using the place ID and location.
                                                    marker.setPlace({
                                                        placeId: place.place_id,
                                                        location: place.geometry.location,
                                                    });

                                                    marker.setVisible(true);

                                                    document.getElementById('place-name').textContent = place.name;
                                                    document.getElementById('place-id').textContent = place.place_id;
                                                    document.getElementById('place-address').textContent =
                                                            place.formatted_address;
                                                    infowindow.setContent(document.getElementById('infowindow-content'));

                                                    infowindow.open(map, marker);

                                                });

                                                //search teil

                                                map.setCenter(pos);

                                            }, function () {
                                                handleLocationError(true, infoWindow, map.getCenter());
                                            });
                                        } else {
                                            // Browser doesn't support Geolocation
                                            handleLocationError(false, infoWindow, map.getCenter());
                                        }
                                    }

                                    function handleLocationError(browserHasGeolocation, infoWindow, pos) {
                                        infoWindow.setPosition(pos);
                                        infoWindow.setContent(browserHasGeolocation ?
                                                'Error: The Geolocation service failed.' :
                                                'Error: Your browser doesn\'t support geolocation.');
                                    }


                                    function callback(results, status) {

                                        if (status === google.maps.places.PlacesServiceStatus.OK) {
                                            var counter = 0;

                                            for (var i = 0; i < results.length; i++) {
                                                createMarker(results[i]);
                                                //alert(results[i].name);
                                                if (i + 1 <= 10) {
                                                    document.getElementById(i + 1).innerHTML = results[i].name;
                                                }
                                            }
                                        }
                                    }

                                    function createMarker(place) {
                                        var placeLoc = place.geometry.location;

                                        var marker = new google.maps.Marker({
                                            map: map,
                                            position: place.geometry.location
                                        });


                                        google.maps.event.addListener(marker, 'click', function () {

                                            infowindow.setContent(place.name);
                                            infowindow.open(map, this);
                                            var lng1 = marker.position;
                                            var na = place.name;
                                            //sessionStorage.removeItem();
                                            //sessionStorage.setItem("auswahl",na);
                                            //if(sessionStorage.getItem()!==null){
                                            //    alert("halllo die scheisse brennt");
                                            //    document.getElementById('eintritteintritt').innerHTML=sessionStorage.getItem("auswahl");
                                            //    document.getElementById('eintritt').innerHTML=sessionStorage.getItem("auswahl");

                                            //}else{

                                            document.getElementById('eintritteintritt').innerHTML = place.name;
                                            document.getElementById('eintritt').innerHTML = place.name;


                                            // document.getElementById('malschauen2').css("display","visible");
                                            $("#malschauen2").show();

                                            $("#malschauenresp").show();


                                            //}

                                            $("#malschauen").attr("value", na);
                                            $("#ClubnameVersteckt").attr("value", na);

                                            //  $("#malschauenlng").attr("value", lng1);


                                        });
                                    }
                            </script>
                        </div>

                    </div>
                </div>
                <div class="row" id="resp-box-info">
                    <div class="col-xs-2 ">

                        <div class="blue-bg2" id="rahmen2" >
                            <i class="fa fa-beer fa-2x" aria-hidden="true" id="beer" >
                                    &nbsp;

                            </i>
                            <label id="bierbier" style="font-size: medium;
                                font-weight: bold">€</label>



                        </div><!--/.info-box-->
                    </div>

                    <div class="col-xs-3 ">
                        <div class="brown-bg2" id="rahmen2">
                            <i class="fa fa-map-marker fa-2x" aria-hidden="true">
                                    &nbsp;
                            </i>
                            <label id="eintritt" style="font-size: small;
                                font-weight: bold">

                            </label>
                            <div >


                            </div><!--/.info-box-->
                        </div>
                    </div>
                    <div class="col-xs-2 ">
                        <div class="dark-bg2" id="rahmen2">
                            <i class="fa fa-smile-o fa-2x" aria-hidden="true" id="smile" ></i>
                            <script>
                                    if (@location1.get(location1.size()-1).getStimmung==1.0
                                    )
                                    {
                                        $("#smile").attr("class", "fa fa-smile-o fa-2x");
                                    }
                                    else
                                    if (@location1.get(location1.size()-1).getStimmung==2.0
                                    )
                                    {
                                        $("#smile").attr("class", "fa fa-meh-o fa-2x");
                                    }
                                    else
                                    {
                                        $("#smile").attr("class", "fa fa-frown-o fa-2x");
                                    }

                            </script>
                        </div><!--/.info-box-->
                    </div>

                    <div class="col-xs-5 ">
                        <div class="col-xs-1 ">
                            <div class="brown-bg2" id="rahmen2">
                                <i class="fa fa-microphone fa-2x" aria-hidden="true" id="beer"></i>
                            </div>
                        </div>
                        <div class="col-xs-3 ">
                            <audio id="resposivaudio" controls="controls" src="" >
                                <i class="fa fa-play" aria-hidden="true"></i>
                            </audio>

                        </div>
                    </div><!--/.info-box-->
                </div>


                <div class="row" id="resp-button">
                    <div class="col-md-6">
                        <form action="LocationNameResp" method="post">
                            <input type="text" id="ClubnameVersteckt" name="Club2tags200" value="" style="display: none">
                            <input type="submit" id="malschauenresp" class="btn btn-block btn-primary button-partP2" value="Hinzufügen" style="display: none">
                        </form>
                    </div>
                    <div class="col-md-6" >
                        <a class="btn btn-block btn-primary button-partP2" id="filtertabelle" onclick="zeigetabelle()" href="#oben2">
                            <i class="fa fa-filter" aria-hidden="true">
                            </i>
                        </a>

                    </div>
                </div>

                    <!-- <div>
                    atfor(index <- 0 until location1.size()){
                        atif(index %3 ==0){
                            <ul>
                            }

                        <li>atlocation1(index).getName</li>

                        atif(index % 3==2|| index == (location1.size - 1)){
                        </ul>

                        }
                    }

                    </div>-->


                    <!-- Today status end -->


                <div class="row" id="oben2">

                    <div class="col-lg-9 col-md-12">
                        <div class="panel panel-default">
                            <div class="panel-heading">
                                <h2><i class="fa fa-flag-o red"></i><strong>Registered Clubs TOP 10</strong></h2>
                                <div class="panel-actions" id="vlltfilter">
                                    <a href="#" class="btn-setting" id="abc"><i class="fa fa-rotate-right"></i></a>
                                    <a href="#" class="btn-minimize"><i class="fa fa-chevron-up"></i></a>
                                    <a href="#" class="btn-close"><i class="fa fa-times"></i></a>
                                </div>
                            </div>


                            <div class="panel-body">
                                <script>
                                        function smileyHolen(stimmung,id){
                                            try {
                                                if (stimmung==1.0)
                                                {
                                                    $("#top"+id).attr("class", "fa fa-smile-o fa-2x");
                                                }
                                                else
                                                if (stimmung==2.0)
                                                {
                                                    $("#top"+id).attr("class", "fa fa-meh-o fa-2x");
                                                }
                                                else
                                                if (stimmung==3.0)
                                                {
                                                    $("#top"+id).attr("class", "fa fa-frown-o fa-2x");
                                                }
                                                else
                                                {
                                                    $("#top"+id).attr("class", "fa fa-meh-o fa-2x");
                                                }

                                            } catch (error) {
                                                $("#top"+id).attr("class", "fa fa-meh-o fa-2x");
                                            }
                                        }
                                </script>
                                <table class="table bootstrap-datatable countries" >
                                    <thead>
                                            <!--class =table bootstrap-datatable countries-->
                                        <tr>
                                            <th id="club-Header">
                                                location,Bars,Kneipe
                                                <span title="sort this column">
                                                    <a class="btn btn-info button-up-down" role="button">
                                                        <i class="fa fa-sort-alpha-desc"></i>
                                                    </a>
                                                </span>

                                            </th>
                                            <th id="bier-Header">
                                                Bierpreis
                                                <span title="sort this column">
                                                    <a class="btn btn-info button-up-down" role="button">
                                                        <i class="fa fa-sort"></i>
                                                    </a>
                                                </span>
                                            </th>
                                            <th id="eintritt-Header">
                                                Eintritt
                                                <span title="sort this column">
                                                    <a class="btn btn-info button-up-down" role="button">
                                                        <i class="fa fa-sort"></i>
                                                    </a>
                                                </span>
                                            </th>
                                            <th id="stimmung-Header">
                                                Stimmung
                                                <span title="sort this column">
                                                    <a class="btn btn-info button-up-down" role="button">
                                                        <i class="fa fa-sort"></i>
                                                    </a>
                                                </span>
                                            </th>

                                        </tr>
                                    </thead>
                                    <tbody>
                                        <tr>
                                            <td id="1"></td>
                                            <td id="bier1"></td>
                                            <td id="eintritt1"></td>
                                            <td id="smiley1">
                                                <div>
                                                    <i class="fa fa-meh-o fa-2x" aria-hidden="true" id="top1" aling="center" ></i>

                                                </div>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td id="2"></td>
                                            <td id="bier2"></td>
                                            <td id="eintritt2"></td>
                                            <td id="smiley2">
                                                <div>
                                                    <i class="fa fa-meh-o fa-2x" aria-hidden="true" id="top2" aling="center" ></i>
                                                </div>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td id="3"></td>
                                            <td id="bier3"></td>
                                            <td id="eintritt3"></td>
                                            <td id="smiley3">
                                                <div>
                                                    <i class="fa fa-meh-o fa-2x" aria-hidden="true" id="top3" aling="center" ></i>
                                                </div>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td id="4"></td>
                                            <td id="bier4"></td>
                                            <td id="eintritt4"></td>
                                            <td id="smiley4">
                                                <div>
                                                    <i class="fa fa-meh-o fa-2x" aria-hidden="true" id="top4" aling="center" ></i>
                                                </div>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td id="5"></td>
                                            <td id="bier5"></td>
                                            <td id="eintritt5"></td>
                                            <td id="smiley5">
                                                <div>
                                                    <i class="fa fa-meh-o fa-2x" aria-hidden="true" id="top5" aling="center" ></i>
                                                </div>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td id="6"></td>
                                            <td id="bier6"></td>
                                            <td id="eintritt6"></td>
                                            <td id="smiley6">
                                                <div>
                                                    <i class="fa fa-meh-o fa-2x" aria-hidden="true" id="top6" aling="center" ></i>
                                                </div>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td id="7"></td>
                                            <td id="bier7"></td>
                                            <td id="eintritt7"></td>
                                            <td id="smiley7">
                                                <div>
                                                    <i class="fa fa-meh-o fa-2x" aria-hidden="true" id="top7" aling="center" ></i>
                                                </div>

                                            </td>
                                        </tr>
                                        <tr>
                                            <td id="8"></td>
                                            <td id="bier8"></td>
                                            <td id="eintritt8"></td>
                                            <td id="smiley8">
                                                <div>
                                                    <i class="fa fa-meh-o fa-2x" aria-hidden="true" id="top8" aling="center" ></i>
                                                </div>

                                            </td>
                                        </tr>
                                        <tr>
                                            <td id="9"></td>
                                            <td id="bier9"></td>
                                            <td id="eintritt9"></td>
                                            <td id="smiley9">
                                                <div>
                                                    <i class="fa fa-meh-o fa-2x " aria-hidden="true" id="top9" aling="center" ></i>
                                                </div>
                                            </td>
                                        </tr>
                                        <tr>
                                            <td id="10"></td>
                                            <td id="bier10"></td>
                                            <td id="eintritt10"></td>
                                            <td id="smiley10">
                                                <div>
                                                    <i class="fa fa-meh-o fa-2x" aria-hidden="true" id="top10" aling="center" ></i>
                                                </div>
                                            </td>
                                        </tr>
                                    </tbody>
                                </table>
                                <script>

                                        var table = $('table');

                                        $('#club-Header,#bier-Header, #eintritt-Header, #stimmung-Header')
                                                .wrapInner('<span title="sort this column"/>')
                                                .each(function () {

                                                    var th = $(this),
                                                            thIndex = th.index(),
                                                            inverse = false;

                                                    th.click(function () {

                                                        table.find('td').filter(function () {

                                                            return $(this).index() === thIndex;

                                                        }).sortElements(function (a, b) {

                                                            return $.text([a]) > $.text([b]) ?
                                                                    inverse ? -1 : 1
                                                                    : inverse ? 1 : -1;

                                                        }, function () {

                                                            // parentNode is the element we want to move
                                                            return this.parentNode;

                                                        });

                                                        inverse = !inverse;

                                                    });

                                                });
                                </script>
                            </div>

                        </div>

                    </div><!--/col-->


                </div>

            </section>
        </section>
    </section>

    <script>
            /////für base64 to blob
            var b64 = "@location1.get(location1.size()-1).getAudio";
            var blob = base64toBlob(b64);
            var blobUrl = URL.createObjectURL(blob);

            console.log(blobUrl);
            $("#resposivaudio").attr("src", blobUrl);
            $("#audioplayer").attr("src", blobUrl);
            ///////schickt blob an die richtigen stellen


            //filterbutton lässt die tabelle anzeigen

            function zeigetabelle() {

                $("#oben2").css("display", "block");
                $("#filtertabelle").attr("onClick", "verbergeTabelle()");

            }

            function verbergeTabelle() {

                $("#oben2").css("display", "none");
                $("#filtertabelle").attr("onClick", "zeigetabelle()");

            }

            window.addEventListener("resize", function () {
                if ($(window).width() < 768) {
                    $("#oben2").css("display", "none");
                } else {
                    $("#oben2").css("display", "block");
                }
            });

            $(document).ready(document.addEventListener("click", function () {
                var av = false;
                console.log("bin drin");
                tabLoesch();
                @for(loc1 <- location1){
                console.log("bin drin2");

                var string1 = $("#eintritteintritt").text();
                var string2 = "@loc1.getCName";

                if(string1 == string2){
                    document.getElementById('bierbierbier').innerHTML = @loc1.getBierpreis+" €";
                    document.getElementById('bierbier').innerHTML = @loc1.getBierpreis+" €";
                    if (@loc1.getStimmung==1.0)
                    {
                        $("#smile").attr("class", "fa fa-smile-o fa-2x");
                    }
                else
                    if (@loc1.getStimmung==2.0)
                    {
                        $("#smile").attr("class", "fa fa-meh-o fa-2x");
                    }
                else
                    {
                        $("#smile").attr("class", "fa fa-frown-o fa-2x");
                    }

                    if (@loc1.getStimmung==1.0)
                    {
                        $("#smile1").attr("class", "fa fa-smile-o fa-5x");
                    }
                else
                    if (@loc1.getStimmung==2.0)
                    {
                        $("#smile1").attr("class", "fa fa-meh-o fa-5x");
                    }
                else
                    {
                        $("#smile1").attr("class", "fa fa-frown-o fa-5x");
                    }

                    var b64 = "@loc1.getAudio";
                    var blob = base64toBlob(b64);
                    var blobUrl = URL.createObjectURL(blob);

                    console.log(blobUrl);
                    $("#resposivaudio").attr("src", blobUrl);
                    $("#audioplayer").attr("src", blobUrl);
                }
                }
                if(av == false){
                    console.log("lösche Alles!");
                    document.getElementById('bierbierbier').innerHTML = "-/-";
                    document.getElementById('bierbier').innerHTML = "-/-";
                    $("#smile1").attr("class", "fa fa-meh-o fa-5x");


                    $("#resposivaudio").attr("src", null);
                    $("#audioplayer").attr("src", null);
                    return;
                }
            }, false))



            $(document).ready(document.addEventListener("click", function (){
                        console.log("bin drin");
                        var av = false;
                        tabLoesch();
                        @for(loc1 <- location1){

                        var string1 = $("#eintritt").text();
                        var string2 = "@loc1.getCName";

                        if(string1 == string2){
                            av = true;
                            console.log("bin drin2");
                            document.getElementById('bierbierbier').innerHTML = @loc1.getBierpreis+" €";
                            document.getElementById('bierbier').innerHTML = @loc1.getBierpreis+" €";
                            if (@loc1.getStimmung==1.0)
                            {
                                $("#smile").attr("class", "fa fa-smile-o fa-2x");
                            }
                        else
                            if (@loc1.getStimmung==2.0)
                            {
                                $("#smile").attr("class", "fa fa-meh-o fa-2x");
                            }
                        else
                            {
                                $("#smile").attr("class", "fa fa-frown-o fa-2x");
                            }

                            if (@loc1.getStimmung==1.0)
                            {
                                $("#smile1").attr("class", "fa fa-smile-o fa-5x");
                            }
                        else
                            if (@loc1.getStimmung==2.0)
                            {
                                $("#smile1").attr("class", "fa fa-meh-o fa-5x");
                            }
                        else
                            {
                                $("#smile1").attr("class", "fa fa-frown-o fa-5x");
                            }
                            var b64 = "@loc1.getAudio";
                            var blob = base64toBlob(b64);
                            var blobUrl = URL.createObjectURL(blob);

                            console.log(blobUrl);
                            $("#resposivaudio").attr("src", blobUrl);
                            $("#audioplayer").attr("src", blobUrl);
                            return;
                        }
                        }
                        if(av == false){
                            console.log("lösche Alles!");
                            document.getElementById('bierbierbier').innerHTML = "-/-";
                            document.getElementById('bierbier').innerHTML = "-/-";
                            $("#smile1").attr("class", "fa fa-meh-o fa-5x");


                            $("#resposivaudio").attr("src", null);
                            $("#audioplayer").attr("src", null);
                            return;
                        }
                    }, false)
            )

            function tabLoesch(){
                for(var i = 1; i < 11; i++) {
                    //console.log($("#"+i).text());
                    //setzenObjekt(i);

                    // var tdwert = $("#"+i).text();
                    var blubb = false;
                    @for(loc <- location1){
                    var tdwert = $("#" + i).text();
                    var locwert = "@loc.getCName";
                    console.log("letzte db Location: " + locwert);
                    console.log("Tabellen wert: " + tdwert);
                    if (tdwert == locwert) {
                        blubb = true;

                        document.getElementById("bier" + i).innerHTML = "@loc.getBierpreis";
                        document.getElementById("eintritt" + i).innerHTML = "@loc.getEintritt";
                        smileyHolen(@loc.getStimmung, i);

                        //Hier bierpreis, eintritt und smiley einfügen
                        //ID´s: "bier"+i, "eintritt"+i, "smiley"+i
                    } else if (blubb == false) {
                        document.getElementById("bier" + i).innerHTML = "-/-";
                        document.getElementById("eintritt" + i).innerHTML = "-/-";
                        $("#top"+i).attr("class", "fa fa-meh-o fa-2x");
                    }
                    }

                }
            }

            function sleep(time) {
                return new Promise((resolve) => setTimeout(resolve, time));
            }

            //Zuhause mind. 4 sek
            sleep(4500).then(() => {
                console.log("sleepfunction");
            for(var i = 1; i < 11; i++){
                //console.log($("#"+i).text());
                //setzenObjekt(i);

                // var tdwert = $("#"+i).text();
                var blubb = false;
                @for(loc <- location1){
                var tdwert = $("#"+i).text();
                var locwert = "@loc.getCName";
                console.log("letzte db Location: "+locwert);
                console.log("Tabellen wert: "+tdwert);
                if(tdwert == locwert ){
                    blubb = true;

                    document.getElementById("bier"+i).innerHTML = "@loc.getBierpreis";
                    document.getElementById("eintritt"+i).innerHTML = "@loc.getEintritt";
                    smileyHolen(@loc.getStimmung,i);

                    //Hier bierpreis, eintritt und smiley einfügen
                    //ID´s: "bier"+i, "eintritt"+i, "smiley"+i
                }else if(blubb==false){
                    document.getElementById("bier"+i).innerHTML = "-/-";
                    document.getElementById("eintritt"+i).innerHTML = "-/-";
                }
                }

            }
            });

    </script>
    <script>
            document.getElementById('bierbier').innerHTML = @location1.get(location1.size()-1).getBierpreis+" €";
    </script>
    <script>
            document.getElementById('eintritt').innerHTML = '@location1.get(location1.size()-1).getCName';
    </script>
    <script>
            document.getElementById('bierbierbier').innerHTML = @location1.get(location1.size()-1).getBierpreis+" €";
    </script>
    <script>
            document.getElementById('eintritteintritt').innerHTML = '@location1.get(location1.size()-1).getCName';
    </script>


}
